Loading...
Searching...
No Matches
casacore::String_global_functions_comparitor Struct Reference
casa package (libcasa_casa) » BasicSL_module

Global comparison operators. More...

`#include <String.h>`

## Public Member Functions

Bool | operator== (const String &x, const String &y)
Bool | operator!= (const String &x, const String &y)
Bool | operator> (const String &x, const String &y)
Bool | operator>= (const String &x, const String &y)
Bool | operator< (const String &x, const String &y)
Bool | operator<= (const String &x, const String &y)
Bool | operator== (const String &x, const Char *t)
Bool | operator!= (const String &x, const Char *t)
Bool | operator> (const String &x, const Char *t)
Bool | operator>= (const String &x, const Char *t)
Bool | operator< (const String &x, const Char *t)
Bool | operator<= (const String &x, const Char *t)
Bool | operator== (const String &x, const Char t)
Bool | operator!= (const String &x, const Char t)
Bool | operator> (const String &x, const Char t)
Bool | operator>= (const String &x, const Char t)
Bool | operator< (const String &x, const Char t)
Bool | operator<= (const String &x, const Char t)
Int | compare (const string &x, const string &y)
| ** Casacore additions of global compares.
Int | compare (const string &x, const Char *y)
Int | compare (const string &x, const Char y)
Int | fcompare (const String &x, const String &y)
| this version ignores case.

## Detailed Description

Global comparison operators.

The global comparison operators

Definition at line 912 of file String.h.

## Member Function Documentation

## compare() [1/3]

Int casacore::String_global_functions_comparitor::compare | ( | const string & | x,
|  | const Char * | y )

inline

Definition at line 953 of file String.h.

## compare() [2/3]

Int casacore::String_global_functions_comparitor::compare | ( | const string & | x,
|  | const Char | y )

inline

Definition at line 955 of file String.h.

## compare() [3/3]

Int casacore::String_global_functions_comparitor::compare | ( | const string & | x,
|  | const string & | y )

inline

** Casacore additions of global compares.

Returns 0 if equal; lt or gt 0 if strings unequal or of unequal lengths.

Definition at line 951 of file String.h.

## fcompare()

Int casacore::String_global_functions_comparitor::fcompare | ( | const String & | x,
|  | const String & | y )

this version ignores case.

** Casacore addition. Result is 0 if equal strings of equal lengths; else lt or gt 0 to indicate differences.

## operator!=() [1/3]

Bool casacore::String_global_functions_comparitor::operator!= | ( | const String & | x,
|  | const Char * | t )

inline

Definition at line 927 of file String.h.

References casacore::String::compare().

## operator!=() [2/3]

Bool casacore::String_global_functions_comparitor::operator!= | ( | const String & | x,
|  | const Char | t )

inline

Definition at line 939 of file String.h.

References casacore::String::compare().

## operator!=() [3/3]

Bool casacore::String_global_functions_comparitor::operator!= | ( | const String & | x,
|  | const String & | y )

inline

Definition at line 915 of file String.h.

References casacore::String::compare().

## operator<() [1/3]

Bool casacore::String_global_functions_comparitor::operator< | ( | const String & | x,
|  | const Char * | t )

inline

Definition at line 933 of file String.h.

References casacore::String::compare().

## operator<() [2/3]

Bool casacore::String_global_functions_comparitor::operator< | ( | const String & | x,
|  | const Char | t )

inline

Definition at line 945 of file String.h.

References casacore::String::compare().

## operator<() [3/3]

Bool casacore::String_global_functions_comparitor::operator< | ( | const String & | x,
|  | const String & | y )

inline

Definition at line 921 of file String.h.

References casacore::String::compare().

## operator<=() [1/3]

Bool casacore::String_global_functions_comparitor::operator<= | ( | const String & | x,
|  | const Char * | t )

inline

Definition at line 935 of file String.h.

References casacore::String::compare().

## operator<=() [2/3]

Bool casacore::String_global_functions_comparitor::operator<= | ( | const String & | x,
|  | const Char | t )

inline

Definition at line 947 of file String.h.

References casacore::String::compare().

## operator<=() [3/3]

Bool casacore::String_global_functions_comparitor::operator<= | ( | const String & | x,
|  | const String & | y )

inline

Definition at line 923 of file String.h.

References casacore::String::compare().

## operator==() [1/3]

Bool casacore::String_global_functions_comparitor::operator== | ( | const String & | x,
|  | const Char * | t )

inline

Definition at line 925 of file String.h.

References casacore::String::compare().

## operator==() [2/3]

Bool casacore::String_global_functions_comparitor::operator== | ( | const String & | x,
|  | const Char | t )

inline

Definition at line 937 of file String.h.

References casacore::String::compare().

## operator==() [3/3]

Bool casacore::String_global_functions_comparitor::operator== | ( | const String & | x,
|  | const String & | y )

inline

Definition at line 913 of file String.h.

References casacore::String::compare().

## operator>() [1/3]

Bool casacore::String_global_functions_comparitor::operator> | ( | const String & | x,
|  | const Char * | t )

inline

Definition at line 929 of file String.h.

References casacore::String::compare().

## operator>() [2/3]

Bool casacore::String_global_functions_comparitor::operator> | ( | const String & | x,
|  | const Char | t )

inline

Definition at line 941 of file String.h.

References casacore::String::compare().

## operator>() [3/3]

Bool casacore::String_global_functions_comparitor::operator> | ( | const String & | x,
|  | const String & | y )

inline

Definition at line 917 of file String.h.

References casacore::String::compare().

## operator>=() [1/3]

Bool casacore::String_global_functions_comparitor::operator>= | ( | const String & | x,
|  | const Char * | t )

inline

Definition at line 931 of file String.h.

References casacore::String::compare().

## operator>=() [2/3]

Bool casacore::String_global_functions_comparitor::operator>= | ( | const String & | x,
|  | const Char | t )

inline

Definition at line 943 of file String.h.

References casacore::String::compare().

## operator>=() [3/3]

Bool casacore::String_global_functions_comparitor::operator>= | ( | const String & | x,
|  | const String & | y )

inline

Definition at line 919 of file String.h.

References casacore::String::compare().

The documentation for this struct was generated from the following file:

- casa/BasicSL/String.h